import request from '@/utils/request'

// 获取问题详情
export function getDetailById(query) {
  return request({
    url: '/asking/question/getDetailById',
    method: 'get',
    params: query
  })
}

//获取用户信息
export function getUserInfo(userId) {
	return request({
		url: '/system/user/getWxUserInfo/' + userId,
		method: 'get'
	})
}

//添加答案
export function addAnswer(data) {
	return request({
		url: '/asking/answer/addAnswer',
		method: 'post',
		data: data
	})
}

//答案采纳
export function adoptAnswer(data) {
	return request({
		url: '/asking/answer/adoptAnswer',
		method: 'get',
		data: data
	})
}

//添加收藏
export function addCollect(query) {
	return request({
		url: '/asking/collect/addCollect',
		method: 'get',
		params: query
	})
}

//是否收藏
export function selectCollect(query) {
	return request({
		url: '/asking/collect/selectCollect',
		method: 'get',
		params: query
	})
}